package birdeye

import (
	"birdcall/internal/consts"
	"io"
	"net/http"
	"os"
)

func MakeHeader(req *http.Request, chain_name ...string) *http.Request {
	apiKey := os.Getenv(consts.BIRD_EYE_API_KEY)

	req.Header.Add(consts.ACCEPT, consts.APPLICATION_JSON)
	req.Header.Add(consts.X_API_KEY, apiKey)
	if len(chain_name) > 0 {
		req.Header.Add(consts.X_CHAIN, chain_name[0])
	}
	return req
}

//	 sendRequest
//		@param req
func SendRequest(req *http.Request) ([]byte, error) {
	apiRes, err := http.DefaultClient.Do(req)
	if err != nil {
		return nil, err
	}

	body, _ := io.ReadAll(apiRes.Body)
	return body, nil
}
