package chain

import (
	v1 "birdcall/api/chain/v1"
	"birdcall/internal/consts"
	"birdcall/internal/library/birdeye/defi"
	"birdcall/internal/service"
	"context"

	"github.com/gogf/gf/v2/util/gconv"
)

type sChain struct{}

func init() {
	service.RegisterChain(&sChain{})
}

var dm defi.Defi

func (s *sChain) NetWork(ctx context.Context, req *v1.NetWorkReq) (*v1.CommonRes, error) {

	birdRes, err := dm.Support()
	if err != nil {
		return nil, err
	}
	var res *v1.CommonRes
	err = gconv.Struct(birdRes, &res)
	if err != nil {
		return nil, err
	}

	return res, nil
}

func (s *sChain) TokenPrice(ctx context.Context, req *v1.TokenPriceReq) (*v1.CommonRes, error) {
	birdRes, err := dm.MultiplePrice(req.ChainName, 100, true, req.Address, consts.GET)
	if err != nil {
		return nil, err
	}
	var res *v1.CommonRes
	err = gconv.Struct(birdRes, &res)
	if err != nil {
		return nil, err
	}
	return res, nil
}
